NG_IP_INPUT(4)

NAME
ng_ip_input - netgraph IP input node type

SYNOPSIS
#include <netgraph/ng_ip_input.h>

DESCRIPTION
The ip_input node type takes all received packets and queues them into the IP in input processing subsystem.

HOOKS
An ng_ip_input node accepts any request to connect, regardless of the hook name, as long as the name is unique.

CONTROL MESSAGES
This node type supports only the generic control messages. Other control messages are silently discarded.

SHUTDOWN
This node shuts down upon receipt of a NGM_SHUTDOWN control message, or when all hooks have been disconnected.

SEE ALSO
netgraph(4), ngctl(8)

HISTORY
The ng_ip_input node type was implemented in FreeBSD 5.0.

AUTHORS
Brooks Davis <brooks@FreeBSD.org>

BUGS
The ng_ip_input node type should probably keep some sort of statistics.